package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 故障案例信息对象 phm_fault_case
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FaultCase extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 案例案例名称
     */
    @Excel(name = "案例文件名称")
    private String caseFileName;

    /**
     * 案例案例名称
     */
    @Excel(name = "案例名称")
    private String caseName;

    /**
     * 故障描述
     */
    @Excel(name = "故障描述")
    private String description;

    /**
     * 案例编号
     */
    @Excel(name = "案例编号")
    private String caseNumber;
}
